From 7a14e8a59048c60c4c560f7f88f25091106098c2 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sun, 25 Sep 2022 01:57:41 +0100
Subject: [PATCH] comment all the debug prints

---
 worldeditadditions/lib/ellipsoid2.lua                | 6 +++---
 worldeditadditions/lib/noiseapply2d.lua              | 2 +-
 worldeditadditions/lib/spiral_circle.lua             | 2 +-
 worldeditadditions/lib/spiral_square.lua             | 2 +-
 worldeditadditions_core/core/entities/pos_marker.lua | 4 ++--
 worldeditadditions_core/core/pos.lua                 | 2 --
 6 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/worldeditadditions/lib/ellipsoid2.lua b/worldeditadditions/lib/ellipsoid2.lua
index 79c472a..ec740d2 100644
--- a/worldeditadditions/lib/ellipsoid2.lua
+++ b/worldeditadditions/lib/ellipsoid2.lua
@@ -15,8 +15,8 @@ function worldeditadditions.ellipsoid2(pos1, pos2, target_node, hollow)
 	
 	local radius = (pos2 - pos1) / 2
 	
-	print("DEBUG:ellipsoid2 | pos1: "..pos1..", pos2: "..pos2..", target_node: "..target_node)
-	print("DEBUG:ellipsoid2 radius", radius)
+	-- print("DEBUG:ellipsoid2 | pos1: "..pos1..", pos2: "..pos2..", target_node: "..target_node)
+	-- print("DEBUG:ellipsoid2 radius", radius)
 	
 	-- position = { x, y, z }
 	local hollow_inner_radius = radius - 1
@@ -35,7 +35,7 @@ function worldeditadditions.ellipsoid2(pos1, pos2, target_node, hollow)
 				local here = Vector3.new(x, y, z)
 				local pos_relative = (here - pos1) - volume_half
 				
-				print("DEBUG pos1", pos1, "pos2", pos2, "volume_half", volume_half, "pos_relative", pos_relative)
+				-- print("DEBUG pos1", pos1, "pos2", pos2, "volume_half", volume_half, "pos_relative", pos_relative)
 				
 				-- If we're inside the ellipse, then fill it in
 				local comp = pos_relative / radius
diff --git a/worldeditadditions/lib/noiseapply2d.lua b/worldeditadditions/lib/noiseapply2d.lua
index 8a07968..296a642 100644
--- a/worldeditadditions/lib/noiseapply2d.lua
+++ b/worldeditadditions/lib/noiseapply2d.lua
@@ -31,7 +31,7 @@ function worldeditadditions.noiseapply2d(pos1, pos2, threshold, scale, func)
 	local data_after = manip_after:get_data()
 	
 	local size2d = pos2 - pos1 + Vector3.new(1, 1, 1)
-	print("DEBUG pos1", pos1, "pos2", pos2, "size2d", size2d)
+	-- print("DEBUG pos1", pos1, "pos2", pos2, "size2d", size2d)
 	local success, noise = worldeditadditions.noise.make_2d(size2d, pos1, {
 		algorithm = "perlinmt",
 		scale = scale
diff --git a/worldeditadditions/lib/spiral_circle.lua b/worldeditadditions/lib/spiral_circle.lua
index 06ca064..df840ec 100644
--- a/worldeditadditions/lib/spiral_circle.lua
+++ b/worldeditadditions/lib/spiral_circle.lua
@@ -28,7 +28,7 @@ function worldeditadditions.spiral_circle(pos1, pos2, target_node, interval_init
 	local volume = pos2:subtract(pos1)
 	local volume_half = volume:divide(2)
 	
-	print("DEBUG:spiral_square | pos1", pos1, "pos2", pos2, "target_node", target_node, "interval_initial:", interval_initial, "acceleration", acceleration)
+	-- print("DEBUG:spiral_square | pos1", pos1, "pos2", pos2, "target_node", target_node, "interval_initial:", interval_initial, "acceleration", acceleration)
 	
 	interval_initial = interval_initial + 1
 	
diff --git a/worldeditadditions/lib/spiral_square.lua b/worldeditadditions/lib/spiral_square.lua
index 22e6f65..4265369 100644
--- a/worldeditadditions/lib/spiral_square.lua
+++ b/worldeditadditions/lib/spiral_square.lua
@@ -28,7 +28,7 @@ function worldeditadditions.spiral_square(pos1, pos2, target_node, interval, acc
 	local volume = pos2:subtract(pos1)
 	local volume_half = volume:divide(2)
 	
-	print("DEBUG:spiral_square | pos1: "..pos1..", pos2: "..pos2..", target_node: "..target_node, "interval:"..interval..", acceleration: "..acceleration)
+	-- print("DEBUG:spiral_square | pos1: "..pos1..", pos2: "..pos2..", target_node: "..target_node, "interval:"..interval..", acceleration: "..acceleration)
 	
 	
 	-- Fetch the nodes in the specified area
diff --git a/worldeditadditions_core/core/entities/pos_marker.lua b/worldeditadditions_core/core/entities/pos_marker.lua
index d1e9478..f069b28 100644
--- a/worldeditadditions_core/core/entities/pos_marker.lua
+++ b/worldeditadditions_core/core/entities/pos_marker.lua
@@ -91,7 +91,7 @@ local function set_number(entity, display_number)
 		local number_left = (display_number - number_right) / 10
 		texture_name = texture_name.."worldeditadditions_l"..number_left..".png"
 		texture_name = texture_name.."^worldeditadditions_r"..number_right..".png"
-		print("DEBUG:set_number number_left", number_left, "number_right", number_right)
+		-- print("DEBUG:set_number number_left", number_left, "number_right", number_right)
 		
 		local colour_id = ((display_number - 1) % 12) + 1 -- Lua starts from 1, not 0 :-/
 		texture_name = "("..texture_name..")^[colorize:"..number_colours[colour_id]..":255"
@@ -102,7 +102,7 @@ local function set_number(entity, display_number)
 		texture_name = "worldeditadditions_bg.png"
 	end
 	
-	print("DEBUG:set_number texture_name", texture_name)
+	-- print("DEBUG:set_number texture_name", texture_name)
 	
 	entity:set_properties({
 		textures = {
diff --git a/worldeditadditions_core/core/pos.lua b/worldeditadditions_core/core/pos.lua
index 420d014..7f6c448 100644
--- a/worldeditadditions_core/core/pos.lua
+++ b/worldeditadditions_core/core/pos.lua
@@ -60,7 +60,6 @@ end
 -- @param	i				number	The index of the position to set.
 -- @returns	Vector3?		The position to set.
 local function compat_worldedit_set(player_name, i, pos)
-	print("DEBUG:compat_worldedit_set i", i, "pos", pos)
 	if not worldedit then return end
 	if i == 1 and worldedit.pos1 then
 		worldedit.pos1[player_name] = nil
@@ -223,7 +222,6 @@ end
 local function push_pos(player_name, pos)
 	ensure_player(player_name)
 	table.insert(positions[player_name], pos)
-	print("DEBUG poslist", wea_c.inspect(positions[player_name]))
 	compat_worldedit_set(player_name, #positions[player_name], pos)
 	
 	anchor:emit("push", { player_name = player_name, pos = pos, i = #positions[player_name] })
